<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AIGroup Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d85/class_a_i_group.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">AIGroup Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for AIGroup:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/d85/class_a_i_group.png" usemap="#AIGroup_map" alt=""/>
  <map id="AIGroup_map" name="AIGroup_map">
<area href="../../d5/d78/group___enforce.html#dd/d17/class_managed" title="TODO doc." alt="Managed" shape="rect" coords="0,0,65,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a57d4c6434c80002133a715bc5690e303"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_a_i_group.html#a57d4c6434c80002133a715bc5690e303">AIGroup</a> ()</td></tr>
<tr class="separator:a57d4c6434c80002133a715bc5690e303"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbbf33c179025151b9c33be69822aa94"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_a_i_group.html#adbbf33c179025151b9c33be69822aa94">~AIGroup</a> ()</td></tr>
<tr class="separator:adbbf33c179025151b9c33be69822aa94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca468ab148b29cd4b4e13295868dd07a"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_a_i_group.html#aca468ab148b29cd4b4e13295868dd07a">AddAgent</a> (notnull <a class="el" href="../../de/db7/class_a_i_agent.html">AIAgent</a> agent)</td></tr>
<tr class="separator:aca468ab148b29cd4b4e13295868dd07a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e73a4d6374ddf2e7d0a763ba8be27d1"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_a_i_group.html#a4e73a4d6374ddf2e7d0a763ba8be27d1">RemoveAgent</a> (notnull <a class="el" href="../../de/db7/class_a_i_agent.html">AIAgent</a> agent)</td></tr>
<tr class="separator:a4e73a4d6374ddf2e7d0a763ba8be27d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af851ce51e3942a9c9f73f2e2e2e927ed"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d2/d2d/class_a_i_group_behaviour.html">AIGroupBehaviour</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_a_i_group.html#af851ce51e3942a9c9f73f2e2e2e927ed">GetBehaviour</a> ()</td></tr>
<tr class="separator:af851ce51e3942a9c9f73f2e2e2e927ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/d72/_a_i_group_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/d72/_a_i_group_8c_source.html">AIGroup.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a57d4c6434c80002133a715bc5690e303" name="a57d4c6434c80002133a715bc5690e303"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57d4c6434c80002133a715bc5690e303">&#9670;&#160;</a></span>AIGroup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void AIGroup::AIGroup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adbbf33c179025151b9c33be69822aa94" name="adbbf33c179025151b9c33be69822aa94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbbf33c179025151b9c33be69822aa94">&#9670;&#160;</a></span>~AIGroup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void AIGroup::~AIGroup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aca468ab148b29cd4b4e13295868dd07a" name="aca468ab148b29cd4b4e13295868dd07a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca468ab148b29cd4b4e13295868dd07a">&#9670;&#160;</a></span>AddAgent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void AIGroup::AddAgent </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../de/db7/class_a_i_agent.html">AIAgent</a>&#160;</td>
          <td class="paramname"><em>agent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Manual group management - add / remove agents from group. Don't forget to remove agent from old group. Caution! Empty groups are deleted on the next frame. </p>

</div>
</div>
<a id="af851ce51e3942a9c9f73f2e2e2e927ed" name="af851ce51e3942a9c9f73f2e2e2e927ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af851ce51e3942a9c9f73f2e2e2e927ed">&#9670;&#160;</a></span>GetBehaviour()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d2/d2d/class_a_i_group_behaviour.html">AIGroupBehaviour</a> AIGroup::GetBehaviour </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4e73a4d6374ddf2e7d0a763ba8be27d1" name="a4e73a4d6374ddf2e7d0a763ba8be27d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e73a4d6374ddf2e7d0a763ba8be27d1">&#9670;&#160;</a></span>RemoveAgent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void AIGroup::RemoveAgent </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../de/db7/class_a_i_agent.html">AIAgent</a>&#160;</td>
          <td class="paramname"><em>agent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/AI/<a class="el" href="../../d1/d72/_a_i_group_8c_source.html">AIGroup.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d85/class_a_i_group.html">AIGroup</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
